/*******************************************************************************
Copyright © 2022 Sebastian Roith

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*******************************************************************************/

(function(window) {
var WEBFILESYSTEM = [
    { filename: "a", data: [
    { filename: "a", data: [
    { filename: "a", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [
    { filename: "a", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [
    { filename: "a", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "b", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "c", data: [
    { filename: "a", data: [] },
    { filename: "b", data: [] },
    { filename: "c", data: [] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
] },
    { filename: "d", data: '', type: 'application/pdf' },
    { filename: "e", data: '', type: 'audio/mp3' },
    { filename: "f", data: '', type: 'image/jpeg' },
    { filename: "g", data: '', type: 'text/plain' }
];
var levels = [
    {
        path: '/b/',
        html: 'Schwierig an dieser Aufgabe ist das vorgegebene Dateisystem: (Fast) jeder Ordner enthält dieselben Dateien und Ordner mit denselben Namen. Somit kannst du nur am Pfad oben links erkennen, in welchem Ordner du gerade bist.<br /><br />Öffne nun den Ordner <code>b</code> und überzeuge dich, dass er denselben Inhalt hat, wie der Wurzelordner!'
    },
    {
        path: '/b/a/e',
        html: 'Du kennst bereits (absolute) Pfade: Ein Pfad wie <code>/b/a/e</code> gibt durch Schrägstriche getrennt an, welche Dateien bzw. Ordner du vom Wurzelordner ausgehend öffnen musst.<br /><br />Öffne nun, was dieser Pfad angibt!'
    },
    {
        path: '/b/c/d',
        html: 'Öffne nun <code>/b/c/d</code>.'
    },
    {
        path: '/b/c/a/d',
        html: 'Auch <code>a/d</code> ist ein Pfad. Aber kein absoluter, der vom Wurzelordner aus geht. Sondern ein relativer, ausgehend vom aktuellen Ordner. Das erkennst du daran, dass zu Beginn der Schrägstrich fehlt.<br /><br />Öffne nun, was dieser Pfad angibt!'
    },
    {
        path: '/b/c/a/g',
        html: 'Auch <code>g</code> ist ein relativer Pfad. Öffne nun diese Datei.'
    },
    {
        path: '/b/c/a/f',
        html: '<code>.</code> steht immer für den aktuellen Ordner. So kann man auch hervorheben, dass es sich um einen relativen Pfad handelt.<br /><br />Öffne nun <code>./f</code>.'
    },
    {
        path: '/b/c/a/a/f',
        html: 'Öffne <code>./a/f</code>.'
    },
    {
        path: '/b/c/a/e',
        html: '<code>..</code> hingegen steht immer für den übergeordneten Ordner.<br /><br />Öffne nun <code>../e</code>.'
    },
    {
        path: '/b/d',
        html: 'Öffne <code>../../d</code>.'
    },
    {
        path: '/c/',
        html: 'Auch das ist ein (unnötig komplizierter) relativer Pfad: <code>a/b/../../../c</code>.'
    },
    {
        path: '/c/a/g',
        html: 'Was verbirgt sich hinter <code>./b/.././a/./g</code>?'
    },
    {
        path: '/a/b/c/',
        html: 'Öffne <code>/a/b/c</code>.'
    },
    {
        path: '/a/b/c/b/c/',
        html: 'Öffne <code>./b/c</code>.'
    },
    {
        path: '/a/b/b/c/',
        html: 'Öffne <code>../../../b/c</code>.'
    },
    {
        path: '/c/b/g',
        html: 'Öffne <code>/./c/b/./a/../g</code>.'
    }
];

window.FILESYSTEMSETTINGS = {
    useClipboard: false,
    levels: levels.map(function(value, index, arr) {
        var level = {};
        var path = '/';
        if (index) {
            path = arr[index - 1].path;
            path = path.substring(0, path.lastIndexOf('/'));
        }
        var dest = (value.path && (value.path.charAt(value.path.length - 1) == '/')) ? value.path.substring(0, value.path.length - 1) : value.path;
console.log(value.path, '→', dest);
        level.environment = { path: path, files: WEBFILESYSTEM };
        level.html = value.html;
        level.onopen = (function(path) { return function(file) {
            if (file.getPath() == path)
                return true;
            return 'Nein, diese Datei ist nicht gemeint…';
        }})(dest);
        level.onchange = (function(path) { return function() {
            if (this.path == path)
                return true;
        }})(dest);
        return level;
    })
};
})(window);
